# I3DExSub3DViewModule Struct Reference
[External Interfaces]

Inheritance diagram for I3DExSub3DViewModule:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | AddRenderables (IEx3DEditorHostPanePart *panePart, TRenderableAndTfmArray &renderable3d, TRenderable2DArray &renderable2d)=0
virtual void MCCOMAPI | GetSubToolBarsInfo (TMCArray< TToolBarInfo > &toolbarList)=0
virtual void MCCOMAPI | AddSubTools (int32 toolbarIndex, IMFToolGroup *inToolGroup)=0
virtual boolean MCCOMAPI | PanePartMouseMoved (IEx3DEditorHostPanePart *panePart, const TMCPoint &inWhere, const TMCModifiers &inModifiers)=0
virtual void MCCOMAPI | PanePartMouseEntering (IEx3DEditorHostPanePart *panePart, const TMCPoint &inWhere, const TMCModifiers &inModifiers)=0
virtual void MCCOMAPI | PanePartMouseStillInside (IEx3DEditorHostPanePart *panePart, const TMCPoint &inWhere, const TMCModifiers &inModifiers)=0
virtual void MCCOMAPI | PanePartMouseLeaving (IEx3DEditorHostPanePart *panePart, const TMCModifiers &inModifiers)=0
virtual TMFEventResult MCCOMAPI | PanePartMouseDown (IEx3DEditorHostPanePart *panePart, const TMCPoint &inWhere, const TMCPlatformEvent &inEvent)=0
virtual boolean MCCOMAPI | GetLocationOfSelectionInGlobal (TVector3 &outGlobalLocation)=0
virtual boolean MCCOMAPI | CanBeActivated ()=0
virtual MFCursorID MCCOMAPI | PanePartGetCursorID (IEx3DEditorHostPanePart *panePart, const TMCPoint &inWhere)=0
virtual void MCCOMAPI | GetDropArea (const TMCPoint &inWhere, IMFDropCandidate &inCandidate, IMFPart *part, IEx3DEditorHostPanePart *panePart, IDType &outAcceptedFlavor, IMFDropArea **outDropArea, boolean &outDrawDropCandidate)=0
virtual boolean MCCOMAPI | KeyDownFromPane (IEx3DEditorHostPanePart *pane, const TMCPlatformEvent &inEvent)=0
virtual void MCCOMAPI | CameraMoved ()=0
virtual boolean MCCOMAPI | IsModeler (IDType classID)=0
virtual void MCCOMAPI | PanePartPreRender (IEx3DEditorHostPanePart *panePart)=0

## Member Function Documentation

virtual void MCCOMAPI I3DExSub3DViewModule::AddRenderables | ( | IEx3DEditorHostPanePart * | panePart,
|  | TRenderableAndTfmArray & | renderable3d,
|  | TRenderable2DArray & | renderable2d |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSub3DViewModule::AddSubTools | ( | int32 | toolbarIndex,
|  | IMFToolGroup * | inToolGroup |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSub3DViewModule::CameraMoved | ( |  | ) | `[pure virtual]`

virtual boolean MCCOMAPI I3DExSub3DViewModule::CanBeActivated | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSub3DViewModule::GetDropArea | ( | const TMCPoint & | inWhere,
|  | IMFDropCandidate & | inCandidate,
|  | IMFPart * | part,
|  | IEx3DEditorHostPanePart * | panePart,
|  | IDType & | outAcceptedFlavor,
|  | IMFDropArea ** | outDropArea,
|  | boolean & | outDrawDropCandidate |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI I3DExSub3DViewModule::GetLocationOfSelectionInGlobal | ( | TVector3 & | outGlobalLocation | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExSub3DViewModule::GetSubToolBarsInfo | ( | TMCArray< TToolBarInfo > & | toolbarList | ) | `[pure virtual]`

virtual boolean MCCOMAPI I3DExSub3DViewModule::IsModeler | ( | IDType | classID | ) | `[pure virtual]`

virtual boolean MCCOMAPI I3DExSub3DViewModule::KeyDownFromPane | ( | IEx3DEditorHostPanePart * | pane,
|  | const TMCPlatformEvent & | inEvent |
| ) |  |  | `[pure virtual]`

virtual MFCursorID MCCOMAPI I3DExSub3DViewModule::PanePartGetCursorID | ( | IEx3DEditorHostPanePart * | panePart,
|  | const TMCPoint & | inWhere |
| ) |  |  | `[pure virtual]`

virtual TMFEventResult MCCOMAPI I3DExSub3DViewModule::PanePartMouseDown | ( | IEx3DEditorHostPanePart * | panePart,
|  | const TMCPoint & | inWhere,
|  | const TMCPlatformEvent & | inEvent |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSub3DViewModule::PanePartMouseEntering | ( | IEx3DEditorHostPanePart * | panePart,
|  | const TMCPoint & | inWhere,
|  | const TMCModifiers & | inModifiers |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSub3DViewModule::PanePartMouseLeaving | ( | IEx3DEditorHostPanePart * | panePart,
|  | const TMCModifiers & | inModifiers |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI I3DExSub3DViewModule::PanePartMouseMoved | ( | IEx3DEditorHostPanePart * | panePart,
|  | const TMCPoint & | inWhere,
|  | const TMCModifiers & | inModifiers |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSub3DViewModule::PanePartMouseStillInside | ( | IEx3DEditorHostPanePart * | panePart,
|  | const TMCPoint & | inWhere,
|  | const TMCModifiers & | inModifiers |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExSub3DViewModule::PanePartPreRender | ( | IEx3DEditorHostPanePart * | panePart | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DViewModule.h